## org.eclipse.jst.pagedesigner.dtmanager.dtinfo
Interface DTInfoFactory

    public interface DTInfoFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Provisional API - subject to change

See Also:
  `DTInfoPackage`

Field Summary
`static java.lang.String` `copyright`
`static DTInfoFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`DTInfo` `createDTInfo()` Returns a new object of class 'DT Info'
`Operation` `createOperation()` Returns a new object of class 'Operation'
`Parameter` `createParameter()` Returns a new object of class 'Parameter'
`ResolveAttributeValue` `createResolveAttributeValue()` Returns a new object of class 'Resolve Attribute Value'
`TagConvertInfo` `createTagConvertInfo()` Returns a new object of class 'Tag Convert Info'
`TagDecorateInfo` `createTagDecorateInfo()` Returns a new object of class 'Tag Decorate Info'
`DTInfoPackage` `getDTInfoPackage()` Returns the package supported by this factory

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eINSTANCE

    static final DTInfoFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createDTInfo

    DTInfo createDTInfo()

  Returns a new object of class 'DT Info'.

  Returns:
    a new object of class 'DT Info'.

### createTagConvertInfo

    TagConvertInfo createTagConvertInfo()

  Returns a new object of class 'Tag Convert Info'.

  Returns:
    a new object of class 'Tag Convert Info'.

### createOperation

    Operation createOperation()

  Returns a new object of class 'Operation'.

  Returns:
    a new object of class 'Operation'.

### createParameter

    Parameter createParameter()

  Returns a new object of class 'Parameter'.

  Returns:
    a new object of class 'Parameter'.

### createTagDecorateInfo

    TagDecorateInfo createTagDecorateInfo()

  Returns a new object of class 'Tag Decorate Info'.

  Returns:
    a new object of class 'Tag Decorate Info'.

### createResolveAttributeValue

    ResolveAttributeValue createResolveAttributeValue()

  Returns a new object of class 'Resolve Attribute Value'.

  Returns:
    a new object of class 'Resolve Attribute Value'.

### getDTInfoPackage

    DTInfoPackage getDTInfoPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.